import { RGBAColor, Shader } from "./types";
/**
 * @throws {Error} if there are more than MAX_COLOR_STOPS colors
 * @throws {Error} if the stops are not in ascending order
 * @throws {Error} if the stops are not the same length as colors
 */
export declare function linearGradient(options: {
    /**
     * The colors to use in the gradient. Must be at least 2.
     */
    colors: RGBAColor[];
    /**
     * The positions of the colors in the gradient. Must be the same length as colors and in ascending order.
     * By default, the colors will be evenly distributed.
     */
    stops?: RGBAColor[];
    /**
     * The rotation of the gradient in degrees. Defaults to 0.
     */
    rotation?: number;
}): Shader;
